SystemOrganization addCategory: #'PBE-Luci'!

BorderedMorph subclass: #Gioco
	instanceVariableNames: 'size cells'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'PBE-Luci'!

!Gioco commentStamp: '<historical>' prior: 0!
A Gioco is BorderedMorph.

Instance Variables
	size:		<Integer>
	cells:		<Array of Piastrelle>

size
	- is the size dimension of the board

cells
	- is the set of Piastrelle that composes the boards!

!Gioco methodsFor: 'as yet unclassified' stamp: 'MatteoB8 10/7/2013 22:34'!
initialize 
	"setting up the board"

	| |
	cells := 1! !

SimpleSwitchMorph subclass: #Piastrella
	instanceVariableNames: 'mouseAction'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'PBE-Luci'!

!Piastrella commentStamp: '<historical>' prior: 0!
A Piastrella is aSimpleSwitchMorph.

Instance Variables
	mouseAction:		<Object>

mouseAction
	- xxxxx

La classe permette di gestire la rappsentazione di una piastrella sullo schermo.!

!Piastrella methodsFor: 'initialization' stamp: 'MatteoB8 10/4/2013 20:31'!
initialize 
	"impostazione della creazione di una nuova istanza"

	super initialize.
	self label: ''.
	self borderWidth: 2.
	bounds := 0@0 corner: 16@16.
	offColor := Color paleYellow.
	onColor := Color paleBlue darker.
	self useSquareCorners.
	self turnOff! !
